# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeConic2d Class Reference

This class implements the mapping between classes
Conic from StepGeom
which describes a Conic from prostep and Conic from Geom2d.
As Conic is an abstract class
this class is an access to the sub-class required.
.

`#include <StepToGeom_MakeConic2d.hxx>`

Inheritance diagram for StepToGeom_MakeConic2d:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeConic2d (const Handle(StepGeom_Conic)&C)
Standard_EXPORT const Handle_Geom2d_Conic & | Value () const

## Private Attributes

Handle_Geom2d_Conic | theConic

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeConic2d::StepToGeom_MakeConic2d | ( | const Handle(StepGeom_Conic)& | C | ) |

## Member Function Documentation

void StepToGeom_MakeConic2d::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeConic2d::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeConic2d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom2d_Conic& StepToGeom_MakeConic2d::Value | ( |  | ) | const

## Field Documentation

Handle_Geom2d_Conic StepToGeom_MakeConic2d::theConic `[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeConic2d.hxx